Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 650936 - www-apps/phprojekt includes the vulnerable ZendFramework 1.x library
Summary: www-apps/phprojekt includes the vulnerable ZendFramework 1.x library
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Security
Classification: Unclassified
Component: Vulnerabilities (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Security
URL:
Whiteboard: B2 [glsa+]
Keywords: PMASKED
Depends on:
Blocks:
 
Reported: 2018-03-19 20:38 UTC by Brian Evans
Modified: 2018-11-10 00:24 UTC (History)
3 users (show)

See Also:
Package list:
www-apps/phprojekt-6.1.2
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Brian Evans Gentoo Infrastructure gentoo-dev 2018-03-19 20:38:27 UTC
www-apps/phprojekt is an abandoned project upstream and includes the vulnerable ZendFramework 1.10.7 in phprojekt-6.1.2

Suggest tree cleaning this security vulnerable package.
Comment 1 Christopher Díaz Riveros (RETIRED) gentoo-dev Security 2018-04-09 01:28:01 UTC
@Maintainers ping.

Zend Framework is already removed from tree.
Comment 2 Larry the Git Cow gentoo-dev 2018-07-23 14:10:31 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=8811e877bda00b74a3d541305d868df55d3dfb64

commit 8811e877bda00b74a3d541305d868df55d3dfb64
Author:     Brian Evans <grknight@gentoo.org>
AuthorDate: 2018-07-23 14:08:24 +0000
Commit:     Brian Evans <grknight@gentoo.org>
CommitDate: 2018-07-23 14:10:00 +0000

    www-apps/phprojekt: Package Removal
    
    Bug: https://bugs.gentoo.org/650936

 profiles/package.mask                         |  4 ---
 www-apps/phprojekt/Manifest                   |  1 -
 www-apps/phprojekt/files/postinstall-6-en.txt |  9 ------
 www-apps/phprojekt/metadata.xml               | 11 --------
 www-apps/phprojekt/phprojekt-6.1.2.ebuild     | 40 ---------------------------
 5 files changed, 65 deletions(-)
Comment 3 Virgil Dupras gentoo-dev 2018-10-08 12:30:54 UTC
Oops, sorry, I closed a security bug before noticing that it was a security bug. But then again, now that the package is removed, there's nothing left to do, right?
Comment 4 Thomas Deutschmann gentoo-dev Security 2018-10-10 16:57:30 UTC
Package was stable on x86 so we have to write a removal GLSA, new request filed.
Comment 5 GLSAMaker/CVETool Bot gentoo-dev 2018-11-10 00:24:58 UTC
This issue was resolved and addressed in
 GLSA 201811-05 at https://security.gentoo.org/glsa/201811-05
by GLSA coordinator Thomas Deutschmann (whissi).